RMMOD(8)

NUME

rmmod - program simplu pentru a elimina un modul din nucleul Linux

SINOPSIS

rmmod [OPȚIUNI] [listă_de_nume-de-module]

DESCRIERE

rmmod este un program simplu pentru a elimina un modul sau a unei liste de module din nucleu (atunci când este furnizat suport pentru descărcarea modulelor). Majoritatea utilizatorilor vor dori să folosească modprobe(8) cu opțiunea -r în schimb, deoarece elimină și modulele dependente neutilizate.

Atunci când este furnizată o listă de module, programul le va procesa unul câte unul. Dacă un modul nu este găsit, rmmod va ieși imediat cu un cod de eroare. Dacă eliminarea modulului eșuează, programul va înregistra o eroare ȘI va continua cu următorul modul. Acest comportament NU este controlat de opțiunea --force.

OPȚIUNI

-f, --force
    Această opțiune poate fi extrem de periculoasă: nu are niciun efect, cu excepția cazului în care CONFIG_MODULE_FORCE_UNLOAD a fost activată atunci când a fost compilat nucleul. Cu această opțiune, puteți elimina modulele care sunt utilizate sau care nu sunt concepute pentru a fi eliminate sau care au fost marcate ca fiind nesigure (a se vedea lsmod(8)).

-s, --syslog
    Trimite erorile la syslog în loc de la ieșirea de erori standard.

-v, --verbose
    Afișează mesaje despre ceea ce face programul. De obicei, rmmod afișează mesaje doar dacă ceva nu merge bine.

-V, --version
    Afișează versiunea programului și iese.

-h, --help
    Afișează mesajul de ajutor și iese.

DREPTURI DE AUTOR

Această pagină de manual este inițial cu drepturi de autor 2002, Rusty Russell, IBM Corporation.

CONSULTAȚI ȘI

modprobe(8), insmod(8), lsmod(8), modinfo(8), depmod(8)

ERORI

Vă rugăm să transmiteți orice raport de eroare la sistemul de urmărire a erorilor al kmod la https://github.com/kmod-project/kmod/issues/, împreună cu versiunea utilizată, pașii de reproducere a problemei și rezultatul așteptat.

AUTORI

Numeroase contribuții au venit de pe lista de discuții linux-modules <linux-modules@vger.kernel.org> și din Github. Dacă aveți o clonă de kmod.git în sine, ieșirea din git-shortlog(1) și git-blame(1) vă poate arăta autorii pentru anumite părți ale proiectului.

Lucas De Marchi <lucas.de.marchi@gmail.com> este responsabilul actual al proiectului.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.